Subject: Re: Is this true?

From: [email-masked] (Noel Chiappa)
Date: Mon, 30 Aug 2010 11:45:16 -0400 (EDT)

> From: Phillip Hallam-Baker <[email-masked]>

    > Ironically we are returning to the original model of the Internet. Only
    > we are returning to the 1970s model of Clark, Cerf et. al. in which the
    > only constant is that every network uses the Internet Protocol for
    > communication across the Internetwork. IP to the endpoint was actually
    > a later idea.

Say what? Internetwork packets directly to the end-host (with TCP on top) was
a constant in the internet architecture from before IP even existed (i.e.  TCP
1, TCP 2, etc).

	Noel

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Mon, 30 Aug 2010 13:43:55 -0400

No, if IP to the edge had been the only idea in the Internet
architecture it would have been no different and no better than any of
the other networking schemes on offer at the time.

What made the Internet unique was the fact that it was the only
inter-network that was designed to play nice with other networks that
existed at the time. You could run DECNET or SNA or anything you chose
on your campus and still exchange mail with the rest of the world.

IP to the edge was a special case.

The technology we need to manage the IPv4 to IPv6 transition is
already in the Internet DNA. All it takes is to jettison the ideology
and accept that for at least the next twenty years we will be dealing
with heterogeneous networks, only this time they will be IPv4/IPv6
rather than IPv4/DECNET/OSI/SNA/CHAOS etc as was the case in the 80s
and early 90s.

The endpoints that matter are people.

Unless I am mistaken, people don't have IPv4 or IPv6 addresses.

So no HMI protocol is ever IP clean end to end.

On Mon, Aug 30, 2010 at 11:45 AM, Noel Chiappa <[email-masked]> wrote:
>    > From: Phillip Hallam-Baker <[email-masked]>
>
>    > Ironically we are returning to the original model of the Internet. Only
>    > we are returning to the 1970s model of Clark, Cerf et. al. in which the
>    > only constant is that every network uses the Internet Protocol for
>    > communication across the Internetwork. IP to the endpoint was actually
>    > a later idea.
>

-- 
Website: http://hallambaker.com/